dnl @synopsis AG_CHECK_UNAME_SYSCALL
dnl
dnl Check that the POSIX compliant uname(2) call works properly.
dnl
dnl @author autogen.sf.net is a project of Bruce Korb <bkorb@gnu.org>
dnl @version $Id: ag_check_uname_syscall.m4,v 1.1 2001/11/11 05:50 ac-archive-0.5.39 $
dnl
AC_DEFUN(AG_CHECK_UNAME_SYSCALL,[
  AC_MSG_CHECKING([whether uname(2) is POSIX])
  AC_CACHE_VAL([ag_cv_uname_syscall],[
  AC_TRY_RUN([#include <sys/utsname.h>
int main() { struct utsname unm;
return uname( &unm ); }],[ag_cv_uname_syscall=yes],[ag_cv_uname_syscall=no],[ag_cv_uname_syscall=no]
           ) # end of TRY_RUN]) # end of CACHE_VAL

 AC_MSG_RESULT([$ag_cv_uname_syscall])
 if test x$ag_cv_uname_syscall = xyes
 then
   AC_DEFINE(HAVE_UNAME_SYSCALL, 1,
      [Define this if uname(2) is POSIX])
 fi
 ]) # end of AC_DEFUN
